Package it.ernytech.tdlib

## Class TdApi.ChatEventMessageEdited

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventMessageEdited

Enclosing class:
  TdApi

    public static class TdApi.ChatEventMessageEdited
    extends TdApi.ChatEventAction

A message was edited.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Message` `newMessage` The message after it was edited.
`TdApi.Message` `oldMessage` The original message before the edit.

### Constructor Summary

Constructors
`ChatEventMessageEdited()` Default constructor.
`ChatEventMessageEdited​(TdApi.Message oldMessage, TdApi.Message newMessage)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### oldMessage

    public TdApi.Message oldMessage

The original message before the edit.

#### newMessage

    public TdApi.Message newMessage

The message after it was edited.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventMessageEdited

    public ChatEventMessageEdited()

Default constructor.

#### ChatEventMessageEdited

    public ChatEventMessageEdited​(TdApi.Message oldMessage,
                                  TdApi.Message newMessage)

Constructor for initialization of all fields.

Parameters:
  `oldMessage` - The original message before the edit.
  `newMessage` - The message after it was edited.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR